Bug 506736 - No sound from device CS4236 under F10
No sound from device CS4236 under F10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 10:30 EDT by Joachim Frieben
Modified: 2009-12-18 04:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2009-06-18 10:30:18 EDT
Description of problem:
After a fresh F10 install with updates as of 2009-09-18 and kernel-2.6.29.5-84.fc10.i686, no sound is available from the CS4236 device of my PR440FX desktop system. This ISA PNP device is properly recognized, and the corresponding modules are loaded. However, no sound comes from the audio system which is working correctly when booting W2K instead.
Utility 'pavucontrol' claims that no hardware devices are available and falls back to using null devices instead, but /proc/asound is definitely populated since 'ls /proc/asound' returns

  card0/  CS4236B@  hwdep    oss/  seq/    version
  cards   devices   modules  pcm   timers

Moreover, 'alsamixer -c 0' returns "wrong -c argument '0'" when run as ordinary user but brings correctly up the audio panel when run as root. Unmuting channels and increasing sound levels has no effect though.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.20-1.fc10

How reproducible:
Always.

Steps to Reproduce:
1. Launch GNOME session.
2. Enable sound effects or play WAV file by means of aplay.
  
Actual results:
No sound.

Expected results:
Sound effects work as expected.

Additional info:
The public SMOLT profile for this PR440FX based system can be found at
http://www.smolts.org/client/show/pub_404b0d8f-bccd-4123-97e7-e21d09d2c097
Comment 1 Bug Zapper 2009-11-18 07:06:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:34:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.